Arch Frame/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 28: Line 28:
==Usage==
==Usage==


# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]].
# Create a layout object and a profile object, for example with the [[Draft_Module|Draft Workbench]] or the [[Sketcher_Workbench|Sketcher Workbench]].
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame|Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.


==Options==
==Options==


* Frames share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Frames share the common properties and behaviours of all [[Arch_Component|Arch Components]]
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
Line 47: Line 47:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


The Frame tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Frame tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Frame = makeFrame(baseobj, profile)
Frame = makeFrame(baseobj, profile)

Revision as of 10:47, 14 August 2021

Arch Frame

Системное название
Arch Frame
Расположение в меню
Архитектура -> Каркас
Верстаки
Arch
Быстрые клавиши
F R
Представлено в версии
-
См. также
Arch Wall/ru, Arch Structure/ru

Описание

Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как sketch или draft object. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты wall или structure .

На приведенном выше рисунке line была преобразована в Массив массива, а объект фрейма был создан с использованием массива как макета, а circle как профиль.

Usage

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench.
  2. Select the layout object first, then, with Ctrl pressed, select the profile object.
  3. Press the Arch Frame button, or press F then R keys.

Options

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Properties

  • ДанныеBase: The layout this frame is based on.
  • ДанныеProfile: The profile this frame is based on.
  • ДанныеAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • ДанныеOffset: An optional distance between the layout object and the frame object.
  • ДанныеRotation: The rotation of the profile around its extrusion axis.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Frame tool can be used in macros and from the Python console by using the following function:

Frame = makeFrame(baseobj, profile)
  • Creates a Frame object from the given baseobj and profile.
    • baseobj is any object containing wires, like a Draft Wire, or a Draft OrthoArray with a collection of them.
    • profile is an extrudable 2D object containing faces or closed wires.

Пример:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()